Skip to main content
POST
MergeIncidents

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

incident_id
string<uuid>
required

ID of the primary incident to merge into

Body

application/json
actor
Actor · object
required

Actor performing the merge

at
string<date-time>
required

Time at which the incidents were merged. Defaults to the current time. timestamp.gt = 2022-01-01T00:00:00Z timestamp.gt_lt = 2022-01-01T00:00:00Z timestamp.gt_lt_exclusive = 2022-01-01T00:00:00Z timestamp.gt_lte = 2022-01-01T00:00:00Z timestamp.gt_lte_exclusive = 2022-01-01T00:00:00Z timestamp.lt_now = true

Examples:

"2023-01-15T01:30:15.01Z"

"2024-12-25T12:00:00Z"

otherIncidentIds
string<uuid>[]
required

IDs of other incidents to merge into the primary incident

Minimum array length: 1

Response

200 - application/json

Success

The response is of type MergeIncidentsResponse · object.